{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.securitySuite && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    gnome3.seahorse # gestionnaire graphique de clef GPG
    #yubikey-personalization-gui # utilisation de la clef Yubikey
  ];
}
