{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement-rust {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Rust
    cargo               # récupération des dépendances + compilation projet rust
    rustc               # pour les appels depuis les scripts
    rustup              # outil de configuration de toolchain rust
  ];
}
