{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.elasticsearch {

  # Paquets
  environment.systemPackages = with pkgs; [
  ];

  # Services

  ## E : http://localhost:9200/_cat/indices?v
  services.elasticsearch = {
    enable = true;
    port = 9200;
    listenAddress = "127.0.0.1";
    #listenAddress = "_site_";
  };

  # Réseau
  # -> Aucun port n'est ouvert caril est recommandé de mettre un proxy HTTP devant
  networking.firewall = {
    allowedTCPPorts = [
    ];
    allowedUDPPorts = [
    ];
  };
}
